#include <stdio.h>
#include <signal.h>
#include <sys/time.h>

/* Prototypes ... */

void _fsleep(void);
void fsleep(float secs);

/* Sleeps for the specified number of (floating point) seconds ... */

void fsleep(float secs) {
   struct   itimerval the_timer;

   if( secs == 0.0 ) return;

   the_timer.it_interval.tv_sec = 0;
   the_timer.it_interval.tv_usec = 0;
   the_timer.it_value.tv_sec = (int) secs;
   the_timer.it_value.tv_usec =  1.0e6 * (secs - (int) secs);
   signal(SIGALRM,_fsleep);
   setitimer(ITIMER_REAL,&the_timer,&the_timer);
   pause();
}

/* Helper function for fsleep() ... */

void _fsleep(void) {
   return;
}
